#ifndef WRITER_H
#define WRITER_H

#include <ostream>

using std::ostream;

class List;

class Writer
{
private:
    ostream & f;
    int level;
    void indent ();
    void newLine ();
    void writeSection (List & v);
public:
    Writer (ostream & output) : f (output), level (0) { }
    void writeHtml (List & v);
};

#endif // WRITER_H
